Skip to Content
kosemdocs
ReferenceAPIGroups

Delete group

Deletes a group. A group that has members is only deleted with force; its members then lose the roles granted to the group.

DELETE
/v1/organizations/{organization}/groups/{group}

Deletes a group. A group that has members is only deleted with force; its members then lose the roles granted to the group.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$
group*string

The group's ID.

Match^grp_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

force?boolean

Deletes the group even if it has members, removing their memberships: they lose the roles granted to the group. Without it, deleting a group with members fails with failed_precondition.

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/organizations/string/groups/string'
Example Response
Empty